<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.convenient.android.lib">

    <!-- 必要权限 -->
    <uses-permission android:name="android.permission.INTERNET" /> <!-- 可选权限 -->
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />
    <uses-permission android:name="android.permission.VIBRATE" /> <!-- suppress DeprecatedClassUsageInspection -->
    <uses-permission android:name="android.permission.GET_TASKS" />
    <uses-permission
        android:name="android.permission.WAKE_LOCK"
        tools:node="remove" />
    <!-- 可选，穿山甲提供“获取地理位置权限”和“不给予地理位置权限，开发者传入地理位置参数”两种方式上报用户位置，两种方式均可不选，添加位置权限或参数将帮助投放定位广告 -->
    <!-- 请注意：无论通过何种方式提供给穿山甲用户地理位置，均需向用户声明地理位置权限将应用于穿山甲广告投放，穿山甲不强制获取地理位置信息 -->
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" /> <!-- demo场景用到的权限，不是必须的 -->
    <uses-permission android:name="android.permission.RECEIVE_USER_PRESENT" />
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <uses-permission android:name="android.permission.EXPAND_STATUS_BAR" /> <!-- 建议添加“query_all_package”权限，穿山甲将通过此权限在Android R系统上判定广告对应的应用是否在用户的app上安装，避免投放错误的广告，以此提高用户的广告体验。若添加此权限，需要在您的用户隐私文档中声明！ -->
    <uses-permission android:name="android.permission.QUERY_ALL_PACKAGES" />
    <uses-permission android:name="android.permission.RECORD_AUDIO" />

    <application
        android:name=".LibApplication"
        android:allowBackup="false"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:requestLegacyExternalStorage="true"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/Theme.Lib"
        android:usesCleartextTraffic="true"
        tools:replace="android:allowBackup"
        tools:targetApi="31">

        <activity
            android:name=".ui.sample.ad.activity.AppWelcomeActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".ui.sample.ad.activity.AdNativeTemplateActivity"
            android:exported="false" />
        <activity
            android:name=".ui.sample.ad.activity.AdAppOpenActivity"
            android:exported="false" />
        <activity
            android:name=".ui.sample.ad.activity.AdFullScreenAdActivity"
            android:exported="false" />
        <activity
            android:name=".ui.sample.ad.activity.AdNativeListActivity"
            android:exported="false" />
        <activity
            android:name=".ui.sample.ad.activity.AdNativeActivity"
            android:exported="false" />
        <activity
            android:name=".ui.sample.ad.activity.AdBannerActivity"
            android:exported="false" />
        <activity
            android:name=".ui.sample.ad.AdMainActivity"
            android:exported="false" />
        <activity
            android:name=".ui.sample.media.MediaSampleActivity"
            android:exported="false" />
        <activity
            android:name="com.convenient.android.lib.MainActivity"
            android:exported="false" />

        <activity android:name=".DateUtilActivity" />

        <activity android:name=".ui.sample.read.ReaderActivity" />

        <activity android:name=".ui.sample.read.ReaderViewActivity" />

        <meta-data
            android:name="test"
            android:value="one" />
        <meta-data
            android:name="channel"
            android:value="two" />
        <meta-data
            android:name="Channel_app"
            android:value="three" />

        <meta-data
            android:name="com.google.android.gms.ads.APPLICATION_ID"
            android:value="ca-app-pub-3940256099942544~3347511713" />
    </application>
</manifest>